Subject: Core-updates-frozen world rebuild coordination

From: John Kehayias <[email-masked]>
Date: Tue, 28 Sep 2021 02:38:33 +0000

Hi all,

Thanks for coordinating this Leo. Is there anything else with huge rebuilds to push together?

I don't want to keep finding and adding things, but two possibilities come to mind that I've just noticed:

1a. p11-kit #49957 https://issues.guix.gnu.org/49957

I've just hit this bug on core-updates-frozen as well, though was originally reported on master. As I noted there, I tried to test with just grafts but didn't fix it for me (I'm guessing grafting won't work with that configure flag change). The patch matches how nix configures p11-kit as well, due to this bug.

1b. p11-kit is also now out of date. The changelog doesn't look substantial or serious, but given the nature of p11-kit I wonder if we want to update it now too. https://github.com/p11-glue/p11-kit/releases/tag/0.24.0

2. (minor) Mesa has had a few more bugfix and major releases since my initial patch for core-updates-frozen. Now at 21.1.8 for the 21.1 branch (we have 21.1.6 currently), but 21.2 has also had stable releases, with 21.2.2. I previously built 21.2.1 and sent a patch for it, and could test 21.2.2 if we want to do that too.

I'm aware this could continue forever, and #2 is likely lower priority. #1, though, should we consider p11-kit a critical update (version, at least) since we're still fixing core-updates-frozen?

Thanks everyone!

John